// buffer .h
// ein einfacher 2d buffer
#ifndef _H_BUFFER2D
#define _H_BUFFER2D 1

class buffer2d
{
   public:
      buffer2d(int breite,int hoehe);
      ~buffer2d();
      void set(int x,int y,int wert);
      void set(int x,int y,unsigned char r,unsigned char g,unsigned char b);
      int get(int x,int y);
      void get(int x,int y,unsigned char *r,unsigned char *g,unsigned char *b);

      int breite();
      int hoehe();
    

   private:
      int bufferbreite;
      int bufferhoehe;
      int *buffer;
};


#endif
